### Method

# Gimp Drawable levels

#### Declaration [src]

    gboolean
    gimp_drawable_levels (
      GimpDrawable* drawable,
      GimpHistogramChannel channel,
      gdouble low_input,
      gdouble high_input,
      gboolean clamp_input,
      gdouble gamma,
      gdouble low_output,
      gdouble high_output,
      gboolean clamp_output
    )

#### Description [src]

Modifies intensity levels in the specified drawable.

This tool allows intensity levels in the specified drawable to be remapped according to a set of parameters. The low/high input levels specify an initial mapping from the source intensities. The gamma value determines how intensities between the low and high input intensities are interpolated. A gamma value of 1.0 results in a linear interpolation. Higher gamma values result in more high-level intensities. Lower gamma values result in more low-level intensities. The low/high output levels constrain the final intensity mapping—that is, no final intensity will be lower than the low output level and no final intensity will be higher than the high output level. This tool is only valid on RGB color and grayscale images.

Available since: | 2.10

#### Parameters

`channel` | `GimpHistogramChannel`
| The channel to modify.
`low_input` | `gdouble`
| Intensity of lowest input.
`high_input` | `gdouble`
| Intensity of highest input.
`clamp_input` | `gboolean`
| Clamp input values before applying output levels.
`gamma` | `gdouble`
| Gamma adjustment factor.
`low_output` | `gdouble`
| Intensity of lowest output.
`high_output` | `gdouble`
| Intensity of highest output.
`clamp_output` | `gboolean`
| Clamp final output values.

#### Return value

Returns: | `gboolean`
| TRUE on success.